#include "./lst.h"

void lst_clear(lst **root, void (*del)(void *))
{
	lst* current = *root;
	lst* next;

	while (current != NULL)
	{
		next = current->next;
		(*del)(current->content);
		free(current);
		current = next;
	}
	free(root);
}
